NAME
	for - generic loop statement

SYNTAX
	for ( expression1 ; expression2 ; expression3 ) <statement>

DESCRIPTION
	the above statement is exactly equal to:

	expression1;
	while( expression2 )
	{
	  <statement>
	  expression3;
	}

	Except when using 'continue'. When using continue in <statement>
	expresstion3 will not be called.

EXAMPLE
	int e;
	for(e=0;e<10;e++) write(e+"\n");

KEYWORDS
	control

SEE ALSO
	while, break, continue
